<?php
include ("header.php");


function utilisateur_new_mod($id='') { 
	global $link, $USERS, $GLOBAL_TITRE;
	
	$color_table="#FFFFFF";
	$color_left="#FAFAFA";
	$color_right="#FFFFFF";
		
	if ($id==''){
		$login="";
		$password="";
		$email="";
		$type=0;
		$nom="";
		$prenom="";
		$adresse1="";
		$adresse2="";
		$adresse3="";
		$code_postal="";
		$ville="";
		$telephone="";
		$fax="";
		$portable="";
		
		$information="";
		
		$titre_page="Ajout d'un ";
		$info="";
		
		$id="";
		}
		
	else {
	    $result=mysql_query("SELECT * FROM utilisateurs WHERE id='$id'", $link);
		if (mysql_num_rows($result)==0) {utilisateur_new_mod(); return false;}
		$row=mysql_fetch_array($result); 
		foreach ($row as $key=>$value) ${$key}=html($value);
			
		
		$titre_page="Modification de l'";
		$info="Ajouté le ".datetime_short($date_add);
		if ($date_mod!="0000-00-00 00:00:00") $info.="<br>Modifié le ".datetime_short($date_mod);
		}
	
	
	$title=$titre_page.'utilisateur '.ucwords($login);
	$GLOBAL_TITRE.=$title;
	echo '
	
	<form method="post" action="utilisateur.php" name="form1">
	<table cellpadding="2" cellspacing="1" bgcolor="000000" width="100%">
    <tr> 
       <td valign="top" class="white">
		<b>&raquo;&nbsp;</b><a class="white" href="utilisateur.php?req=liste"><b>Utilisateurs</b></a><b>&nbsp;&raquo;&nbsp;'.$title.'</b><br>
	</td></tr>

	<tr> 
       <td valign="top" class="white" height="22" bgcolor="#999999">
		'.$info.'
	</td></tr>
		
	
	<tr>
   <td valign="top" width="100%" bgcolor="#ffffff">
	
	
	
	<table cellpadding="5" cellspacing="1" border="0" bgcolor="'.$color_table.'">
	<tr>
		<td></td>
		<td></td>
	</tr>
	
	<tr>
		<td align="right" bgcolor="'.$color_left.'"><b>Type</b></td>
		<td bgcolor="'.$color_right.'"><select name="type" id="type">';
		foreach ($USERS["type"] as $key=>$value) {
			echo '<option value="'.$key.'"';
			if ($key==$type) echo 'SELECTED';
			echo '>'.ucfirst($value);
			}
		echo '
			</select></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'"><b>Login</b></td>
		<td bgcolor="'.$color_right.'"><input type="text" name="login" size="50" maxlength="250" value="'.$login.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'"><b>Mot de passe</b></td>
		<td bgcolor="'.$color_right.'"><input type="text" name="password" size="50" maxlength="250" value="'.$password.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Email</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="email" size="50" maxlength="100" value="'.$email.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Nom</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="nom" size="50" maxlength="250" value="'.$nom.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Prénom</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="prenom" size="50" maxlength="250" value="'.$prenom.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Adresse 1</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="adresse1" size="50" maxlength="250" value="'.$adresse1.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Adresse 2</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="adresse2" size="50" maxlength="250" value="'.$adresse2.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Adresse 3</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="adresse3" size="50" maxlength="250" value="'.$adresse3.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Code postal</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="code_postal" size="50" maxlength="250" value="'.$code_postal.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Ville</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="ville" size="50" maxlength="250" value="'.$ville.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Téléphone</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="telephone" size="50" maxlength="250" value="'.$telephone.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Fax</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="fax" size="50" maxlength="250" value="'.$fax.'"></td>
	</tr>
	<tr>
		<td align="right" bgcolor="'.$color_left.'">Portable</td>
		<td bgcolor="'.$color_right.'"><input type="text" name="portable" size="50" maxlength="250" value="'.$portable.'"></td>
	</tr>
	<tr>
		<td valign="top" align="right" bgcolor="'.$color_left.'">Infos</td>
		<td bgcolor="'.$color_right.'"><textarea name="information" cols="49" rows="6" style="overflow:auto;">'.$information.'</textarea></td>
	</tr>
	
	</table>
	
	</td></tr>
    <tr>
	<td align="center"><br/>
	<input type="hidden" name="req" value="save">
	<input type="hidden" name="id" value="'.$id.'">
	<input type="submit" value="Enregistrer"><br /><br /></td></tr></form>
	</table>
	';
	}



function utilisateur_save() {
    global $link, $GLOBAL_TITRE;

	foreach ($_POST as $key=>$value) {
		if (is_array($value)) {
			foreach ($value as $akey=>$avalue) {
				if (!is_array($avalue)) $_POST[$key][$akey]=var_post_post($avalue);
				else $_POST[$key][$akey]=$avalue;
				}
			}
		else $_POST[$key]=var_post_post($value);
		}
		
	$error=0;
	echo '<center>';	
	
	if (($_POST["login"]=="" || $_POST["password"]=="")) {
        $error=1;
        echo '<b>Les login et mot de passe doivent être saisis !</b><br><br>';
    	}
		
		$sql="SELECT id FROM utilisateurs WHERE login='".$_POST["id"]."'";
		$test_res=mysql_query($sql, $link);
		if ((mysql_num_rows($test_res)!=0)){
			if ($id!=""){
				$test_id=mysql_result($test_res, 0, "id");
				if ($test_id!=$_POST["id"]) {
					$error=1;
					echo 'Cette personne est déjà inscrite !';
					}
				}
			else {
				$error=1;
				echo 'Cette personne est déjà inscrite !';
				}
			}
			
	if ($error!=1){
	 	$sql_more="";
		
		foreach ($_POST as $key=>$value){
			if ($key!="req" && $key!="id") $sql_more.=",".$key."='".$value."'";
			}
		
		
		if ($_POST["id"]=="") {
			$sql_action="INSERT INTO";
			$sql_more="date_add=NOW() ".$sql_more;
			}
		else {
			$sql_action="UPDATE";
			$sql_more="date_mod=NOW() ".$sql_more." WHERE id='".$_POST["id"]."'";
			}
			
		
		$sql=$sql_action." utilisateurs SET ".$sql_more;
		mysql_query($sql, $link);
		if ($_POST["id"]=="") $_POST["id"]=mysql_insert_id();
		echo '<br><font class="normal">Merci !</font><br>
		<font class="normal">Les informations ont été enregistrées !
		<br><font class="normal">La fiche <a class="normal" href="utilisateur.php?req=mod&id='.$_POST["id"].'">'.stripslashes($_POST["login"]).'</a> est à jour</font>
		<br><br><font class="normal"><a class="normal" href="utilisateur.php?req=addone">Ajouter une personne</a></font><br>';
	    echo '<font class="normal"><a class="normal" href="utilisateur.php?req=liste">Retour à la liste</a></font><br></center>';
		$GLOBAL_TITRE.="Enregistrement #".$_POST["id"].' effectué';
		}
	else echo '<br/><input type="button" onClick="history.go(-1)" value="Retour"></center>';
	}


	
function utilisateur_liste() {
    global $USERS, $link, $GLOBAL_TITRE;
	$GLOBAL_TITRE.='Liste';
	echo '
	<table border=0 cellpadding="5" cellspacing="1" bgcolor="#eeeeee" width="100%">
	
	
	<tr class="white">
	<td bgcolor="#000000"><b>#</b></td>
	<td bgcolor="#000000"><b>Nom/Prénom</b></td>
	<td bgcolor="#000000" align="center"><b>Type</b></td>
	<td bgcolor="#000000" align="center"><b>Actions</b></td>
	</tr>';
	
	$query="SELECT id, type, nom, prenom FROM utilisateurs ORDER by nom ASC";
	$result=mysql_query($query, $link);$i=1;
	while ($row=mysql_fetch_array($result)){
		$id=$row['id'];
		$type=$row['type'];
		$nom=html($row['nom']);
		$prenom=html($row['prenom']);
		
		echo '<tr bgcolor="#f8f8f8">
		<td>'.$id.'</td>
		<td bgcolor="#FFFFFF" width="100%"><a href="utilisateur.php?req=mod&id='.$id.'">'.strtoupper($nom)." ".ucwords($prenom).'</a></td>
		<td align="center">'.ucfirst($USERS["type"][$type]).'</td>
		<td bgcolor="#ffffff" align="right">
			<table border="0" cellpadding="0" cellspacing="0"><tr>
			<td width="20"><a title="Modifier" href="utilisateur.php?req=mod&id='.$id.'"><img src="../images/admin/mod.gif" border="0"></a></td>
			<td width="20"><a title="Supprimer" href="#" onclick="if(window.confirm(\'Etes vous sûr de vouloir supprimer l\\\'utilisateur #'.$id.' ?\')) location.href=\'utilisateur.php?req=del&id='.$id.'\'; else return false;"
			><img src="../images/admin/del.gif" border="0"></a></td>
			</tr></table>
		</td>
		</tr>';
		}
	
	echo '</table>';
	}
	


function utilisateur_del($id) {
    global $link;
	
	if (($id=="")||($id=="0")) exit();
   	mysql_query("DELETE FROM utilisateurs WHERE id='$id'", $link);
	utilisateur_liste();
	}

if (!isset($req)) $req="";
switch($req) {

        case "liste":
            utilisateur_liste();
            break;
	
        case "addone":
            utilisateur_new_mod();
            break;
		
        case "mod":
            utilisateur_new_mod($id);
            break;
						
        case "save":
			utilisateur_save ();
            break;

        case "del":
            utilisateur_del($id);
            break;

      default:
            utilisateur_liste();
            break;
	}

include ("footer.php");
?>